namespace SafeCampus.Core;

public enum AlarmType
{
    /// <summary>
    /// 周界入侵
    /// </summary>
    [Description("周界入侵")]
    visual_fence,
    /// <summary>
    /// 翻越
    /// </summary>
    [Description("翻越")]
    climb_over,
    /// <summary>
    /// 人群聚集
    /// </summary>
    [Description("人群聚集")]
    crowd,
    /// <summary>
    /// 烟火告警
    /// </summary>
    [Description("烟火告警")]
    fire_smoke,
    /// <summary>
    /// 可疑徘徊
    /// </summary>
    [Description("可疑徘徊")]
    wander,
    /// <summary>
    /// 重点人员布控
    /// </summary>
    [Description("重点人员布控")]
    blacklist,
    /// <summary>
    /// 奔跑
    /// </summary>
    [Description("奔跑")]
    run,
    /// <summary>
    /// 追逐
    /// </summary>
    [Description("追逐")]
    chase,
    /// <summary>
    /// 摔倒
    /// </summary>
    [Description("摔倒")]
    fall_down,
    /// <summary>
    /// 跨线
    /// </summary>
    [Description("跨线")]
    cross_line,
    /// <summary>
    /// 教室点名
    /// </summary>
    [Description("教室点名")]
    class_room_call,
    /// <summary>
    /// 趴桌子
    /// </summary>
    [Description("趴桌子")]
    lie_on_table,
    /// <summary>
    /// 抽烟检测
    /// </summary>
    [Description("抽烟检测")]
    person_smoke,
    /// <summary>
    /// 猫鼠检测
    /// </summary>
    [Description("猫鼠检测")]
    animal_break_in,
    /// <summary>
    /// 巡更检测
    /// </summary>
    [Description("巡更检测")]
    patrol,
    /// <summary>
    /// 离岗检测
    /// </summary>
    [Description("离岗检测")]
    off_duty,
    /// <summary>
    /// 打闹检测
    /// </summary>
    [Description("打闹检测")]
    fight,
    /// <summary>
    /// 未戴帽子检测
    /// </summary>
    [Description("未戴帽子检测")]
    hat_detect,
    /// <summary>
    /// 未戴口罩检测
    /// </summary>
    [Description("未戴口罩检测")]
    mask_detect,
    /// <summary>
    /// 未穿工作服检测
    /// </summary>
    [Description("未穿工作服检测")]
    cloth_detect,
    /// <summary>
    /// 洗手行为采集
    /// </summary>
    [Description("洗手行为采集")]
    wash_hand,
    /// <summary>
    /// 车辆违停
    /// </summary>
    [Description("车辆违停")]
    vehicle_parking,
    /// <summary>
    /// 车辆超速
    /// </summary>
    [Description("车辆超速")]
    vehicle_speeding
}